com.sun.grid.jgdi.util.shell

## Annotation Type CommandAnnotation

-     @Retention(value=RUNTIME)
       @Target(value=TYPE)
      public @interface CommandAnnotation

  Option Function Annotation Is intended to be used for automatic option info discovery

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `value` Command string

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `hasExtraArgs` Specifies if command can have extra arguments.

- - ### Element Detail

    - #### value

          public abstract java.lang.String value

      Command string
      Returns:
        a command value

  - - #### hasExtraArgs

          public abstract boolean hasExtraArgs

      Specifies if command can have extra arguments. Default is false. E.g.: qsub can
      Returns:
        boolean
      Default:
        false

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.